<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFile Method (IEdmUpdateReferences)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUpdateReferences Interface : AddFile Method (IEdmUpdateReferences)

Visual Basic
C#
C++/CLI

oPath
  Full path to the file for which to update file references

Adds an assembly or drawing to the batch of files for which to update file references.

# Syntax

Visual Basic |
--- | ---

    Sub AddFile( _
       ByVal oPath As System.Object _
    )

C# |
--- | ---

    void AddFile(
       System.object oPath
    )

C++/CLI |
--- | ---

    void AddFile(
    &   System.Object^ oPath
    )

#### Parameters

oPath
  Full path to the file for which to update file references

# Example

Update References (C#)
Update References (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUpdateReferences Interface
IEdmUpdateReferences Members

# Availability

SOLIDWORKS PDM Professional 2011